Export Lifecycle Maintenance History

post

https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/lcmOperations/actions/exportLcmHistory

Exports the database maintenance history for update (patching) and upgrade operations in CSV format.

Request

There are no request parameters for this operation.

Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Request to export LCM history data
Show Source
Match All
Request to export LCM history data
Show Source
Nested Schema : LcmHistoryDetails
Type: object
Request to retrieve LCM history data
Show Source
Match All
Request to retrieve LCM history data
Show Source
Nested Schema : LcmHistoryFilter
Type: object
Filter for LCM history data
Show Source
Nested Schema : targetIds
Type: array
List of target IDs
Show Source
Example:
[
    "E5B98897FE871AC1E05380FE4564F682",
    "ADB98897FE871AC1E05380FE4564F555"
]
Nested Schema : targetNames
Type: array
List of target names
Show Source
Example:
[
    "Prod DB",
    "HR DB"
]
Examples

Back to Top

Response

Supported Media Types

200 Response

Ok. LCM History exported successfully.
Body ()
Root Schema : schema
Type: object
Match All
Show Source
Nested Schema : ExportLcmHistoryReport
Type: object
Export LCM history response
Show Source
  • Success message
    Example: CSV file exported successfully to /scratch/lcmhistory/exportlcmhistory.csv
  • Base 64 encoded next page
    Example: b2Zmc2V0OjC
Examples

401 Response

Unauthorized
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

403 Response

Forbidden
Body ()
Root Schema : MissingPrivErrorResponse
Type: object
Response sent back as an Error in case required privileges are missing
Show Source
Match All
Response sent back as an Error in case required privileges are missing
Show Source
Nested Schema : missingPrivileges
Type: array
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
Nested Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : MissingPrivilegeSummary
Type: object
It represents a Privilege which is missing on a Resource to view or manage it.
Show Source

500 Response

Internal Server Error
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

503 Response

Service Unavailable
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Back to Top